Bug 736612 - fcgi package contains embedded copy of FCGI module
Summary: fcgi package contains embedded copy of FCGI module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-FCGI
Version: 15
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/FCGI/FCGI.PL
Whiteboard:
Depends On:
Blocks: 736613 736759
TreeView+ depends on / blocked
 
Reported: 2011-09-08 08:57 UTC by Jan Lieskovsky
Modified: 2011-09-30 19:41 UTC (History)
6 users (show)

Fixed In Version: fcgi-2.4.0-17.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 736613 (view as bug list)
Environment:
Last Closed: 2011-09-09 04:09:10 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-09-08 08:57:28 UTC
Description of problem:
The fcgi package in F-15 contains embedded copy of perl Fast CGI (FCGI) module from CPAN:
[1] http://search.cpan.org/dist/FCGI/FCGI.PL

But there already is dedicated, system perl-FCGI package, present in F-15.
Thus fcgi package should depend on perl-FCGI package, rather than using its own embbedded copy (so in case of security flaw in perl-FCGI, the fcgi package won't need to be updated too).

Version-Release number of selected component (if applicable):
fcgi-2.4.0-15.fc15.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. # pwd
../BUILD/fcgi-2.4.0
2. fcgi-2.4.0]# cd perl/
3. perl]# ls
aclocal.m4  configure     echo.PL           FCGI.PL  Makefile.PL  oldinterface.pod  remote.PL    typemap
ChangeLog   configure.in  fcgi_config.h.in  FCGI.XL  MANIFEST     README            threaded.PL  version.pm
  
Actual results:
Own copy of CPAN FCGI module is embbeded in fcgi package.

Expected results:
fcgi packages uses system perl-FCGI package.

Comment 1 Till Maas 2011-09-08 15:52:53 UTC
fcgi does not use but provide the perl module in a sub package fcgi-perl. Afaics perl-FCGI needs to obsolete fcgi-perl according to these Guidelines:

https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
https://fedoraproject.org/wiki/Package_Renaming_Process#Re-review_required

Since the perl-FCGI maintainer is the co-maintainer of fcgi wrt. the -perl subpackage, I reassign this bug to perl-FCGI to take care of removing the -perl subpackage from fcgi and addding the proper Provides/Obsoletes etc to perl-FCGI. Also any provenpackager is welcome to perform the required changes to fcgi-perl.

Btw. fcgi-perl exists in EPEL 5, too.

Comment 2 Fedora Update System 2011-09-09 03:57:16 UTC
fcgi-2.4.0-17.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fcgi-2.4.0-17.fc16

Comment 3 Iain Arnell 2011-09-09 03:59:16 UTC
I've removed the perl sub-package in rawhide and f16. Since fcgi-perl is already obsoleted by perl-FCGI in all branches, I don't think it's necessary to push this update to the stable branches.

Comment 4 Fedora Update System 2011-09-30 19:41:28 UTC
fcgi-2.4.0-17.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.